import Vue from 'vue';
import {
    Message,
    Input,
    Checkbox,
    Select,
    Option,
    Progress,
    Breadcrumb,
    Form,
    Button,
    Loading,
    DatePicker,
    MessageBox, //暂时先用着
    Radio,
    RadioGroup,
    FormItem,
    BreadcrumbItem,
    Autocomplete,
    Table,
    TableColumn
} from 'element-ui';

Vue.use(Checkbox);
Vue.use(Input);
Vue.use(Select);
Vue.use(Option);
Vue.use(Progress);
Vue.use(Breadcrumb);
Vue.use(Button);
Vue.use(Form);
Vue.use(DatePicker)
Vue.use(Radio)
Vue.use(RadioGroup)
Vue.use(BreadcrumbItem)
Vue.use(FormItem)
Vue.use(Autocomplete)
Vue.use(Table)
Vue.use(TableColumn)
// Vue.use(Loading)
Vue.prototype.$loading = Loading;
// Loading
Vue.prototype.$message = Message;
Vue.prototype.$confirm = MessageBox //暂时先用着
